Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.scope
Class LocalSearchMoveScope

    java.lang.Object
      org.optaplanner.core.impl.localsearch.scope.LocalSearchMoveScope

    public class LocalSearchMoveScope

extends Object

Constructor Summary
`LocalSearchMoveScope(LocalSearchStepScope stepScope)`

Method Summary
`Boolean` | `getAccepted()`
`Move` | `getMove()`
`int` | `getMoveIndex()`
`Score` | `getScore()`
`ScoreDirector` | `getScoreDirector()`
`LocalSearchStepScope` | `getStepScope()`
`Move` | `getUndoMove()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`void` | `setAccepted(Boolean accepted)`
`void` | `setMove(Move move)`
`void` | `setMoveIndex(int moveIndex)`
`void` | `setScore(Score score)`
`void` | `setUndoMove(Move undoMove)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalSearchMoveScope

    public LocalSearchMoveScope(LocalSearchStepScope stepScope)

Method Detail

### getStepScope

    public LocalSearchStepScope getStepScope()

### getMoveIndex

    public int getMoveIndex()

### setMoveIndex

    public void setMoveIndex(int moveIndex)

### getMove

    public Move getMove()

### setMove

    public void setMove(Move move)

### getUndoMove

    public Move getUndoMove()

### setUndoMove

    public void setUndoMove(Move undoMove)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getAccepted

    public Boolean getAccepted()

### setAccepted

    public void setAccepted(Boolean accepted)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingRandom

    public Random getWorkingRandom()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.